// configuration data for other SSDTs in this pack

DefinitionBlock("", "SSDT", 2, "Sniki", "L440", 0)
{
    Device(RMCF)
    {
        Name(_ADR, 0)   // do not remove

        Method(HELP)
        {
            Store("TYPE indicates type of the computer. 0: desktop, 1: laptop", Debug)
            Store("BKLT indicates the type of backlight control. 0: IntelBacklight, 1: AppleBacklight", Debug)
            Store("LMAX indicates max for IGPU PWM backlight. Ones: Use default, other values must match framebuffer", Debug)
        }

        // TYPE: Indicates the type of computer... desktop or laptop
        //
        //  0: desktop
        //  1: laptop
        Name(TYPE, 1)

        // BKLT: Backlight control type
        //
        // 0: Using IntelBacklight.kext
        // 1: Using AppleBacklight.kext + AppleBacklightInjector.kext
        Name(BKLT, 1)

        // LMAX: Backlight PWM MAX.  Must match framebuffer in use.
        //
        // Ones: Default will be used (0x710 for Ivy/Sandy, 0xad9 for Haswell/Broadwell)
        // Other values: must match framebuffer
        Name(LMAX, 0xad9)
    }
    
    #include "SSDT-PluginType1.dsl"
    #include "SSDT-XOSI.dsl"
    #include "SSDT-USB.dsl"
    #include "SSDT-Disable_EHCI.dsl"
    #include "SSDT-ALC292.dsl"
    #include "SSDT-LPC.dsl"
    #include "SSDT-HDAU.dsl"
    #include "SSDT-HDEF.dsl"
    #include "SSDT-IMEI.dsl"
    #include "SSDT-PTSWAK.dsl"
    #include "SSDT-PNLF.dsl"
    #include "SSDT-GPRW.dsl"
    #include "SSDT-KBD.dsl"
    #include "SSDT-TRACKPAD.dsl"
    #include "SSDT-SMBUS.dsl"
    #include "SSDT-ALS0.dsl"
}
//EOF
